Get System Settings

1. API Description

Get system settings.

Request mode: GET [ip]/api/settings/get

Administrator Rights Login Authentication
No Yes

2. Input Parameters

None

3. Output Parameters

Parameter Type Description
status Int Status code
ndi Struct NDI Settings
mode Int Configuration Mode
gui Struct GUI Settings
NDI Settings
Parameter Type Description
enable-d Boolean Whether to register to discovery server
d-server String Discovery server address
groups String Group name
extra-ips String NDI extra IP list, multiple IPs separated by commas
transport String Transport type, string format, supports: auto,rudp,udp,multicast,multi-tcp,tcp
mcast-subnets String Other subnet CIDR addresses for multicast configuration, separated by commas
pts-mode String Timestamp type, string format, supports: auto,timecode,timestamp
low-bw Boolean Boolean type, whether to enable low bandwidth mode
buffer-ms Int Default cache time for NDI dynamic sources, in milliseconds
GUI Settings
Parameter Description
lang Language, string format, supports: en,zh

4. Example

Get system settings

Request Example

GET /api/settings/get
Output Example
{
    "gui": {
        "lang": "en"
    },
    "mode": 2,
    "ndi": {
        "buffer-ms": 60,
        "d-server": "10.10.37.51,10.10.35.34",
        "enable-d": true,
        "extra-ips": "",
        "groups": "Public",
        "low-bw": false,
        "mcast-subnets": "",
        "pts-mode": "auto",
        "transport": "auto"
    },
    "ndi-bridge": {
        "address": "",
        "enable": false,
        "key": "",
        "name": "Pro-Convert-NDI-to-HDMI-Gen2-0123456789-Bridge",
        "port": 5990
    },
    "status": 0
}

results matching ""

    No results matching ""

    results matching ""

      No results matching ""